/************************************************************************************
					 _     _           _     _       _     _   
					| |   (_)         | |   (_)     | |   | |  
					| |    ___   _____| |    _  __ _| |__ | |_ 
					| |   | \ \ / / _ \ |   | |/ _` | '_ \| __|
					| |___| |\ V /  __/ |___| | (_| | | | | |_ 
					\_____/_| \_/ \___\_____/_|\__, |_| |_|\__|
												__/ |          
BETA Firmware 								   |___/
							
USART TX Output code for LiveLight V2 Firmware 						 _________   __
Written by Henri Rantanen											|__   __\ \ / /
																	   | |   \ V / 
Date		16.10.2011												   | |    > <  
Version		1.0														   | |   / . \ 
Target		PCB Version 5, Atmel ATMEGA32-16U						   |_|  /_/ \_\

************************************************************************************/
#include "settings.h"

void TX_Char(volatile uint8_t data)				// Send one character to USB
{
   while(!(UCSRA & (1<<UDRE)));					// Wait until transmitter is ready

   UDR=data;									// Send data
}